%define		PYVER		2.6
%define		__python	python%{PYVER}
%define		PVER		%(echo %{PYVER} | awk -F. '{print$1$2}')
%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

Distribution:	CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>

Name:		aubio
Version:	0.3.2
Release:	3
BuildArch:	i686
License:	GNU/GPL
URL:		http://aubio.org/
Group:		Multimedia/Audio
Source0:	%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-buildroot
Summary:	A library for audio labeling
BuildRequires: alsa-lib-devel
BuildRequires: glibc-devel
BuildRequires: fftw-devel
BuildRequires: libsamplerate-devel
BuildRequires: libsndfile-devel libsndfile >= 1.0.20
BuildRequires: jack-audio-connection-kit-devel
Buildrequires: swig python26-devel flac-devel libvorbis-devel libogg-devel

%description
aubio is a library for audio labelling.
Its features include segmenting a sound file before each of its attacks,
performing pitch detection, tapping the beat and producing midi streams
from live audio. The name aubio comes from 'audio' with a typo:
several transcription errors are likely to be found in the results too.

%package	devel
Summary:	%{name} development headers.
Group:		%{group}
Requires:	%{name} = %{version}-%{release}
Requires:	python26-devel

%description	devel
Header and include files for developing applications with %{name}.

%package	python
Summary:	Python bindings for the %{name} library
Group:		%{group}
Requires:	%{name} = %{version}-%{release}
Requires:	python26

%description	python
Python bindings for the %{name} library

%post
ldconfig

%postun
ldconfig

%prep
%setup -n %{name}-%{version}
FIX=$(find -type f -name "*" -exec grep -I -l -e "^#!/usr/bin/python" -e "^#!/usr/bin/env python" -e "^#! /usr/bin/python" -e "^#! /usr/bin/env python" "{}" \; \)
for i in $FIX; do
    sed -i "s,^#!/usr/bin/python,#!/usr/bin/python%{PYVER}," $i
    sed -i "s,^#! /usr/bin/python,#!/usr/bin/python%{PYVER}," $i
    sed -i "s,^#!/usr/bin/env python,#!/usr/bin/env python%{PYVER}," $i
    sed -i "s,^#! /usr/bin/env python,#!/usr/bin/env python%{PYVER}," $i    
done

%build
%configure \
PYTHON=/usr/bin/python%{PYVER}
make %{?_smp_mflags}

%install
make install DESTDIR=$RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%_bindir
%_libdir/*.so.*
%_datadir/sounds

%files devel
%defattr(-,root,root)
%_includedir
%_libdir/*.so
%_libdir/*.a
%_libdir/*.la
%_libdir/pkgconfig

%files python
%defattr(-,root,root)
#%_libdir/python%{PYVER}/site-packages/%{name}
%{python_sitelib}

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Wed Nov 18 2009 Christian Metzen <metzench@ccux-linux.de> 0.3.2-3
- python 2.6
* Tue May 05 2009 Christian Wasem <wasem@ccux-linux.de> 0.3.2-2
- rebuilt with explicit /usr/bin/python2.5
* Tue Jul 15 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.3.2-1
- initial package release
